Subject: bug#13687: /srv/bzr/emacs/trunk r111878: * lisp/replace.el(read-regexp): Let-bind `default' to the first

From: Jambunathan K <[email-masked]>
Date: Fri, 08 Mar 2013 22:23:16 +0530

"Drew Adams" <[email-masked]> writes:

>> > 2. Add a new defcustom like:
>> >    (defcustom minibuffer-defaults 
>> >      '((highlight-regexp-default . tag-at-point)
>> >        (rgrep . history)
>> >        (occur . tag-at-point)
>> >        (how-many . history)
>> >        ...))
>> >    Cons: Too large list of commands for one option.
>> 
>> I am attaching a patch that handles `occur'.
>> I will commit this patch tomorrow.
>
> Sorry, I have not been following this thread at all - please excuse
> any jumping to wrong conclusions.

Excused.  You didn't look at the inline patch that I enclosed.

> I also wonder whether you are perhaps changing the user experience
> here without a proper proposal and discussion in emacs-devel first.

You seem to think that emacs-bugs is not a right place to discuss a
proposal.

> "I will commit...tomorrow." does not inspire confidence.  How about
> proposing a change and seeing what others in the development list
> think?

It is happening as we type, don't you think.